import * as $dara from '@darabonba/typescript';
export declare class RebootMachineRequest extends $dara.Model {
    /**
     * @remarks
     * The UUID of the server that you want to restart.
     *
     * >  You can call the [DescribeCloudCenterInstances](~~DescribeCloudCenterInstances~~) operation to query the UUIDs of servers.
     *
     * This parameter is required.
     *
     * @example
     * 7151f27e-1d51-4e98-a540-8936a****
     */
    uuid?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
